# Phonetische Live Suche

## Ersteinrichtung
Die Ersteinrichtung ist nach den Standards sehr simpel. Sie m&uuml;ssen ggf. bei einem individuellen Template das Suchfeld anpassen, zu finden im Tab **Einstellungen** unter **Suchfeld (HTML Selektor)**.

Die wichtigste Aufgabe: **Starten Sie im Tab Datenbestand den Button: Suchindex aktualisieren**

Kopieren Sie nun noch die Blacklist-Worte wie unten stehend beschrieben in die Sucheinstellungen von JTL.

## Anpassung von Einstellungen

Nach &Auml;nderungen von Einstellungen kann es notwendig sein, dass der Suchindex neu aufgebaut werden muss, sofern diese Einstellungen direkten Einfluss haben.

Darunter f&auml;llt:
* Sprache der Suche
* Mindestl&auml;nge Sucheingabe
* Variationen in der Suche
* Anpassung der Suche in Name / Beschreibung

Info: *Nach dem &Auml;ndern der Reihenfolge oder Anzahl der maximalen Ergebnisse muss **kein** neuer Suchindex aufgebaut werden.*

## Ergebnisse beeinflussen
Die Ergebnisse k&ouml;nnen im Plugin unter **Einstellungen** am Ende der *einfachen* Einstellungen angepasst werden.
Hier gibt es die M&ouml;glichkeit zu definieren in was alles gesucht wird, sowie in welcher Reihenfolge die Bl&ouml;cke auftauchen.
Sind bei einem Block keine Einstellungen gesetzt (z.B. bei Kategorie wird nicht in Name und auch nicht in Beschreibung gesucht) tauchen diese auch nicht in den Ergebnissen auf.
Einzige Ausnahme: Bei der direkten Suchen nach Artikelnummern.

Die Reihenfolge der Ergebnisse eines Bereiches (z.B. der Artikel) kann &uuml;ber die Suchpriorit&auml;ten sortiert werden aufsteigend bei 1 beginnend sortiert.

## Suchlayouts
Es gibt aktuell 2 m&ouml;gliche Suchlayouts: Overlay und Container.
Das Overlay ist dabei die m&auml;chtigere Suche und kommt mit Endless-Scrolling und Zwischenspeicherung der Suchanfrage einher und pr&auml;sentiert sich &uuml;ber den ganzen Bildschirm. Diese Suche hat daher kein Limit der Ergebnisse - lediglich die auf einmal abgerufenen Ergebnisse werden in den Einstellungen definiert.
Die Container-Suche (auch Dropdown-Suche) zeigt maximal so viele Ergebnisse wie in den Einstellungen festgelegt. Hier kann der Besucher auch noch mittels normalem Suchbutton auf die JTL Suche gelangen, die dann leider keine fehlertolerante Suche unterst&uuml;tzt.

## Blacklist

Es empfiehlt sich die folgenden W&ouml;rter von Suchanfragen auzuschlie&szlig;en, da diese zu allgemein sind und eher als Bindew&ouml;rter z&auml;hlen.
Kopieren Sie die unten stehende Liste und f&uuml;gen Sie diese im Shopbackend unter **Admin-&gt;Storefront-&gt;Suchanfragen** im Tab **Blacklist** ein.

===

aber; alle; allein; aller; alles; als; alte; alten; andere; anderem; anderen; anderer; anderes; ans; auch; auf; aus; 
bei; beide; beiden; beider; beides; beim; bevor; bin; bis; bist; 
ca; circa; 
dabei; darf; damit; danach; dank; danke; daran; darauf; daraus; darin; darum; darunter; das; dass; dato; davon; dazu; deine; deinem; deinen; deiner; deines; dem; den; denen; der; deren; des; deshalb; dessen; deswegen; desweiteren; deutlich; deutliche; deutlichen; dich; die; dient; diente; dies; diese; dieselbe; diesem; diesen; dieser; dieses; diesmal; dir; diverse; diversen; doch; dran; drauf; drin; durch; durchaus; durch; durchaus; durchs; 
egal; eher; ehesten; eigene; eigenen; ein; eine; einem; einen; einer; eines; 
f&uuml;r; 
ihre; ist; 
kann; kommt; k&ouml;nnen; 
man; mehr; mit; muss; m&uuml;ssen; m&uuml;sste; m&uuml;ssten; 
nach; nachdem; nicht; noch; nur; 
oder; 
pro; 
sehr; sich; sind; sie; soll; sollte; sollten; sowie; 
und; &uuml;ber; 
vom; von; vor; 
was; 
weitere; wenn; wem; wen; wer; werden; wie; wird; 
zum; zur

===

## Suchindex Update
Der Suchindex wird bei jedem Abgleich von der Warenwirtschaft angesto&szlig;en.
Dabei werden jedoch maximal 10 Artikel verarbeitet. Bei gr&ouml;&szlig;eren &Auml;nderungen empfiehlt es sich daher das Update von Hand anzusto&szlig;en.

Gehen Sie dazu im Plugin auf den Tab **Datenbestand** und klicken unten auf **Suchindex aktualisieren**.

Via dem Button **Suchindex leeren** wird der gesamte Suchindex gel&ouml;scht und Sie k&ouml;nnen via **Suchindex aktualisieren** den Index neu erstellen lassen.

## Designanpassungen
Alle Designanpassungen sind in den Template-Dateien des Plugins m&ouml;glich. Bitte beachten Sie, dass diese ggf. bei einem Update nachgezogen werden m&uuml;ssen.
Wir empfehlen keine weiteren als die unten stehenden Dateien zu bearbeiten, da auf die entsprechenden IDs &amp; Co fest zugegriffen wird.

### Overlay-Designanpassungen
CSS:	km_live_search/version/103/frontend/css/container.css

HTML:	km_live_search/version/103/frontend/templates/resultlist_container.tpl

### Container-Designanpassungen
CSS:	km_live_search/version/103/frontend/css/overlay.css

HTML:	km_live_search/version/103/frontend/templates/resultlist_overlay.tpl

Artikelbox:	km_live_search/version/103/frontend/templates/resultlist_element.tpl